ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

litecommerce ioncube problem anyone with a solution please

Author Message
noviceinthedark



Joined: 29 Jan 2006
Posts: 1

PostPosted: Sun Jan 29, 2006 3:57 am    Post subject: litecommerce ioncube problem anyone with a solution please Reply with quote

The problem is this my ISP host is great but they cannot modify the php.ini file to make the litecommerce software work and the helpdesk at litecommerce has advised me it is the only way to make it work.

I like the look of the software and my ISP offers a great price and no restrictions on bandwidth or email accounts so basicly I would like to be able to keep both.

heres the message when installing any help would sincerely be appreciated.

LiteCommerce application is protected with ionCube encoder
but ionCube loader is not installed or your Web server is multithreaded
and does not support dynamic libraries loading.
To install the loader in your php.ini file please choose one of the following steps:

1. If you have access to php.ini file

Edit the

/usr/local/lib/php.ini

file and add the following line before any other "zend_extension" lines:

zend_extension = /services/webpages/i/t/itguysdirect.com/public/storefront/ioncube/ioncube_loader_lin_4.4.so

Finally, stop and restart your web server software for the changes to take effect.
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Sun Jan 29, 2006 1:01 pm    Post subject: Reply with quote

Hi

Your host will need either to enable dl() for your account such that runtime install works, or to install the Loader in the php.ini file. Many hosts don't need to install the Loader themselves as runtime install for their customers via dl() just works, and the better hosts generally have no problem installing the Loader if dl() is unavailable and if customers require support for encoded files. It's of course good customer service to support encoded files when asked, there's no reason not to do so, and users on shared hosts increasingly ask for this simply to protect their own scripts because security on shared servers can be poor. It can be good for the host to promote the fact that they support encoded files. If a host uses CGI, it's also often possible to override the hosts own php.ini file to correct any unfavourable settings, and this is often the case with Windows servers where CGI is the dominant scenario.

If the host isn't willing to help you, and some aren't one assumes because they can't be bothered, then it's not hard to find a host that does. A great place for hosting and website related talk in general are the WHT forums. A quick search or question will find hosts that do support ionCube, and you can also find out what people think of the hosts. There are also many more hosts that support encoded files than you'll find there, with many hosts supporting dynamic install and not realising it (some even say they don't support encoded files when they do because of the dynamic install ability), but WHT is a good place to start. Once your own host realises that the vast majority of other hosts support the Loader in one way or another, (and we hear that even the US Government WhiteHouse have them installed!), then they'll probably jump onboard as well. If they need to contact us then we'll be happy to advise them on any questions.

If you have further specific questions for your issue, please create a helpdesk ticket so that we can track it there.
_________________
Community Admin
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum